/*
 *  Copyright (c) Members of the EGEE Collaboration. 2004.
 *  See http://eu-egee.org/partners/ for details on the copyright holders.
 *  For license conditions see the license file or http://eu-egee.org/license.html
 *
 *  GLite Data Transfer Agents: Action Class
 *
 *  Authors: Paolo Badino <paolo.badino@cern.ch>
 *  Version info: $Id: Action.h,v 1.3 2005/07/04 14:28:43 badino Exp $
 *  Release: $Name: glite-data-transfer-agents_R_2_2_4 $
 *
 */
#ifndef GLITE_DATA_TRANSFER_AGENTS_ACTION_ACTION_H_
#define GLITE_DATA_TRANSFER_AGENTS_ACTION_ACTION_H_

#include "glite/data/transfer/agent/action/ExecuteException.h"

namespace glite   {
namespace data    {
namespace transfer{
namespace agent   {

/*
 * Forward Declaration
 */    
namespace dao{
class DAOContext;    
}

namespace action  {
    
/**
 * Action Interface
 * @interface
 */
class Action {
public:

    /**
     * Destructor
     */
    virtual ~Action(){}
       
    /**    
     * set DAOContext
     */
    virtual void context(const std::string& params, class dao::DAOContext& ctx) = 0;
    
    /**    
     * Get DAOContext
     */
    virtual class dao::DAOContext& context() /*throw (ExecuteException)*/ = 0;
            
    /**
     * Execute The Action
     */
    virtual void execute(const std::string& params = "") /*throw (ExecuteException)*/ = 0;
private:

    /** @link dependency 
     * @label throws*/
    /*# ExecuteException lnkExecuteException; */
};

} // End namespace action
} // End namespace agent
} // End namespace transfer
} // End namespace data
} // End namespace glite

#endif //GLITE_DATA_TRANSFER_AGENTS_ACTION_ACTION_H_
