/*
 *  Copyright (c) Members of the EGEE Collaboration. 2004.
 *  See http://eu-egee.org/partners/ for details on the copyright holders.
 *  For license conditions see the license file or http://eu-egee.org/license.html
 *
 *  GLite Data Transfer Agents: MyProxyClientException Class
 *
 *  Authors: Paolo Badino <paolo.badino@cern.ch>
 *  Version info: $Id: CertProxyServiceException.h,v 1.1 2005/05/31 16:53:46 badino Exp $
 *  Release: $Name: glite-data-transfer-agents_R_2_2_4 $
 *
 */
#ifndef GLITE_DATA_TRANSFER_AGENTS_CERTPROXY_CERTPROXYSERVICEEXCEPTION_H_
#define GLITE_DATA_TRANSFER_AGENTS_CERTPROXY_CERTPROXYSERVICEEXCEPTION_H_

#include "glite/data/transfer/agent/AgentException.h"

namespace glite    {
namespace data     {
namespace transfer {
namespace agent    {
namespace certproxy{
    
/**
 * The Exception is thrown when an error happens on CertProxyService
 */
class CertProxyServiceException : public AgentException {
public:

    /**
     * Constructor
     * @param reason [IN] the reason of the error
     */
    CertProxyServiceException(const char * reason):AgentException(reason){}

    /**
     * Destructor
     */
    virtual ~CertProxyServiceException() throw() {}
    
private:

    /**
     * Default Constructor Not Implemented
     */
    CertProxyServiceException();
};

} // end namespace certproxy
} // end namespace agent
} // end namespace transfer
} // end namespace data
} // end namespace glite

#endif //GLITE_DATA_TRANSFER_AGENTS_CERTPROXY_CERTPROXYSERVICEEXCEPTION_H_
