/*
 *  Copyright (c) Members of the EGEE Collaboration. 2004.
 *  See http://eu-egee.org/partners/ for details on the copyright holders.
 *  For license conditions see the license file or http://eu-egee.org/license.html
 *
 *  GLite Data Transfer Agents: DAOException Class
 *
 *  Authors: Paolo Badino <paolo.badino@cern.ch>
 *  Version info: $Id: DAOException.h,v 1.1 2005/05/31 16:53:46 badino Exp $
 *  Release: $Name: glite-data-transfer-agents_R_2_2_4 $
 *
 */
#ifndef GLITE_DATA_TRANSFER_AGENTS_DAO_DAOEXCEPTION_H_
#define GLITE_DATA_TRANSFER_AGENTS_DAO_DAOEXCEPTION_H_

#include "glite/data/transfer/agent/AgentException.h"

namespace glite   {
namespace data    {
namespace transfer{
namespace agent   {
namespace dao     {
    
/**
 * The DAOException is thrown when an error happens contacting the DataSource
 * @stereotype exception
 */
class DAOException : public AgentException {
public:

    /**
     * Constructor
     * @param reason [IN] the reason of the error
     */
    DAOException(const char * reason):AgentException(reason){}

    /**
     * Destructor
     */
    virtual ~DAOException() throw() {}
    
private:

    /**
     * Default Constructor Not Implemented
     */
    DAOException();
};

} // end namespace dao
} // end namespace agent
} // end namespace transfer
} // end namespace data
} // end namespace glite

#endif //GLITE_DATA_TRANSFER_AGENTS_DAO_DAOEXCEPTION_H_
