/*
 *  Copyright (c) Members of the EGEE Collaboration. 2004.
 *  See http://eu-egee.org/partners/ for details on the copyright holders.
 *  For license conditions see the license file or http://eu-egee.org/license.html
 *
 *  GLite Data Transfer Agents: DAOFactory Class
 *
 *  Authors: Paolo Badino <paolo.badino@cern.ch>
 *  Version info: $Id: DAOFactory.h,v 1.2 2005/06/01 16:36:43 badino Exp $
 *  Release: $Name: glite-data-transfer-agents_R_2_2_4 $
 *
 */
#ifndef GLITE_DATA_TRANSFER_AGENTS_DAO_DAOFACTORY_H_
#define GLITE_DATA_TRANSFER_AGENTS_DAO_DAOFACTORY_H_

#include "glite/data/transfer/agent/dao/DAOContext.h"
#include "glite/data/transfer/agent/dao/DAOException.h"

namespace glite   {
namespace data    {
namespace transfer{
namespace agent   {
namespace dao     {

/**
 * Base Class For DataAccessObject Factories
 * @interface
 */
class DAOFactory {
public:

    /**
     * Creates a DataAccessObject Context
     */
    virtual DAOContext * createContext() /*throw (DAOException)*/ = 0;

protected:

    /**
     * Constructor
     */ 
    DAOFactory(){}

    /**
     * Destructor
     */ 
    virtual ~DAOFactory(){}

private:

    /** @link dependency 
     * @label creates*/
    /*# DAOContext lnkDAOContext; */

    /** @link dependency 
     * @label throws*/
    /*# DAOException lnkDAOException; */
};

} // End namespace dao
} // End namespace agent
} // End namespace transfer
} // End namespace data
} // End namespace glite

#endif //GLITE_DATA_TRANSFER_AGENTS_DAO_DAOFACTORY_H_
