/*
 *  Copyright (c) Members of the EGEE Collaboration. 2004.
 *  See http://eu-egee.org/partners/ for details on the copyright holders.
 *  For license conditions see the license file or http://eu-egee.org/license.html
 *
 *  GLite Data Transfer Agents: StringArrayTable Type
 *
 *  Authors: Paolo Badino <paolo.badino@cern.ch>
 *  Version info: $Id: StringArrayTable.h,v 1.2.12.1 2006/04/20 15:34:32 badino Exp $
 *  Release: $Name: glite-data-transfer-agents_R_2_2_4 $
 *
 */
#ifndef GLITE_DATA_TRANSFER_AGENTS_DAO_STRINGARRAYTABLE_H_
#define GLITE_DATA_TRANSFER_AGENTS_DAO_STRINGARRAYTABLE_H_

#include <string>
#include <vector>

namespace glite   {
namespace data    {
namespace transfer{
namespace agent   {
namespace dao     {
    
typedef  std::vector<std::pair<std::string, std::vector<std::string> > > StringArrayTable;
       
/**
 * Insert a new File/Job Entry
 */
void insert_entry(StringArrayTable& l,const std::string& val,const std::string& key);

/**
 * FilePerRequest Structure
 */
struct FilesPerRequest{
    std::string requestId;  
    std::string jobId;
    std::vector<std::string> files;
};
    
/**
 * FilePerRequest List Type
 */
typedef std::vector<FilesPerRequest> FilesPerRequestList;

/**
 * Insert a new File/Job Entry
 */
void insert_entry(FilesPerRequestList& l,const std::string& req,const std::string& j,const std::string& f);

} // End namespace dao
} // End namespace agent
} // End namespace transfer
} // End namespace data
} // End namespace glite


#endif //GLITE_DATA_TRANSFER_AGENTS_DAO_STRINGARRAYTABLE_H_
