/*
 *  Copyright (c) Members of the EGEE Collaboration. 2004.
 *  See http://eu-egee.org/partners/ for details on the copyright holders.
 *  For license conditions see the license file or http://eu-egee.org/license.html
 *
 *  GLite Data Transfer Agents: Error Class
 *
 *  Authors: Paolo Badino <paolo.badino@cern.ch>
 *  Version info: $Id: Error.h,v 1.1 2005/05/31 16:53:46 badino Exp $
 *  Release: $Name: glite-data-transfer-agents_R_2_2_4 $
 *
 */
#ifndef GLITE_DATA_TRANSFER_AGENTS_MODEL_ERROR_H_
#define GLITE_DATA_TRANSFER_AGENTS_MODEL_ERROR_H_

namespace glite   {
namespace data    {
namespace transfer{
namespace agent   {
namespace model   {
    
/**
 * Error
 */
class Error{
public:

    /**
     * Error Category Type
     */
    typedef enum {
        UNDEF           = 0,
        TRANSFER        = 1,
        AGENT           = 2,
        SECURITY        = 3,
        SOURCE          = 4, 
        DESTINATION     = 5,
        NETWORK         = 6,
        CONFIGURATION   = 7,
        CONSISTENCY     = 8,
        CATALOG         = 9
    } Category;
    
protected:
    /**
     * Constructor. Not Implemented
     */
    Error();
    /**
     * Destructor. Not Implemented
     */
    ~Error();
};

} // end namespace model
} // end namespace agent
} // end namespace transfer
} // end namespace data
} // end namespace glite

#endif //GLITE_DATA_TRANSFER_AGENTS_MODEL_ERROR_H_
